/*@import "tailwindcss";*/
/*@import "tw-animate-css";*/

/*@tailwind base;*/
/*@tailwind components;*/
/*@tailwind utilities;*/



@custom-variant dark (&:is(.dark *));

@font-face {
  font-family: 'Pretendard';
  font-weight: 45 920;
  font-style: normal;
  font-display: swap;
  src: url('../fonts/PretendardVariable.woff2') format('woff2-variations');
}

@theme {
  --font-sans: Pretendard;
  --font-pretendard: Pretendard;
  --color-primary: initial;
  --color-secondary: initial;
  --color-grey: initial;
  --color-background: initial;

  --color-primary-50: #D6E7FF;
  --color-primary-300: #70A9FF;
  --color-primary-500: #267DFF;
  --color-primary-600: #0052CC;

  --color-secondary-50: #E2F3F1;
  --color-secondary-300: #9BD4CC;
  --color-secondary-500: #00B59C;
  --color-secondary-600: #00A38D;

  --color-background-50: #F5F9FC;
  --color-background-400: #7493AA;
  --color-background-500: #4E697E;

  --color-grey-50: #F4F5F6;
  --color-grey-100: #E9EBEC;
  --color-grey-200: #C8CCD0;
  --color-grey-300: #868F98;
  --color-grey-400: #717B84;
  --color-grey-500: #233343;
  --color-grey-900: #0B1C2C;

  --color-red: #EB0A0A;

  --breakpoint-*: initial;
  --breakpoint-tablet: 40rem;
  --breakpoint-laptop: 64rem;
  --breakpoint-desktop: 80rem;

  /* Font Sizes */
  --font-size-display-lg: 56px;
  --font-size-display-md: 48px;

  --font-size-headline-xl: 40px;
  --font-size-headline-lg: 36px;
  --font-size-headline-md: 32px;
  --font-size-headline-sm: 24px;

  --font-size-body-xl: 20px;
  --font-size-body-lg: 18px;
  --font-size-body-md: 17px;
  --font-size-body-sm: 16px;

  --font-size-caption-lg: 15px;
  --font-size-caption-md: 14px;
  --font-size-caption-sm: 13px;

  /* Line Heights */
  --line-height-display: 1.6;
  --line-height-headline: 1.5;
  --line-height-body: 1.4;
  --line-height-caption: 1.5;
}

@theme inline {
  --color-background: var(--background);
  --color-foreground: var(--foreground);
  --font-sans: var(--font-pretendard);
  --color-sidebar-ring: var(--sidebar-ring);
  --color-sidebar-border: var(--sidebar-border);
  --color-sidebar-accent-foreground: var(--sidebar-accent-foreground);
  --color-sidebar-accent: var(--sidebar-accent);
  --color-sidebar-primary-foreground: var(--sidebar-primary-foreground);
  --color-sidebar-primary: var(--sidebar-primary);
  --color-sidebar-foreground: var(--sidebar-foreground);
  --color-sidebar: var(--sidebar);
  --color-chart-5: var(--chart-5);
  --color-chart-4: var(--chart-4);
  --color-chart-3: var(--chart-3);
  --color-chart-2: var(--chart-2);
  --color-chart-1: var(--chart-1);
  --color-ring: var(--ring);
  --color-input: var(--input);
  --color-border: var(--border);
  --color-destructive: var(--destructive);
  --color-accent-foreground: var(--accent-foreground);
  --color-accent: var(--accent);
  --color-muted-foreground: var(--muted-foreground);
  --color-muted: var(--muted);
  --color-secondary-foreground: var(--secondary-foreground);
  --color-secondary: var(--secondary);
  --color-primary-foreground: var(--primary-foreground);
  --color-primary: var(--primary);
  --color-popover-foreground: var(--popover-foreground);
  --color-popover: var(--popover);
  --color-card-foreground: var(--card-foreground);
  --color-card: var(--card);
  --radius-sm: calc(var(--radius) - 4px);
  --radius-md: calc(var(--radius) - 2px);
  --radius-lg: var(--radius);
  --radius-xl: calc(var(--radius) + 4px);
}

:root {
  --radius: 0.625rem;
  --card: oklch(1 0 0);
  --card-foreground: oklch(0.145 0 0);
  --popover: oklch(1 0 0);
  --popover-foreground: oklch(0.145 0 0);
  --primary: oklch(0.205 0 0);
  --primary-foreground: oklch(0.985 0 0);
  --secondary: oklch(0.97 0 0);
  --secondary-foreground: oklch(0.205 0 0);
  --muted: oklch(0.97 0 0);
  --muted-foreground: oklch(0.556 0 0);
  --accent: oklch(0.97 0 0);
  --accent-foreground: oklch(0.205 0 0);
  --destructive: oklch(0.577 0.245 27.325);
  --border: oklch(0.922 0 0);
  --input: oklch(0.922 0 0);
  --ring: oklch(0.708 0 0);
  --chart-1: oklch(0.646 0.222 41.116);
  --chart-2: oklch(0.6 0.118 184.704);
  --chart-3: oklch(0.398 0.07 227.392);
  --chart-4: oklch(0.828 0.189 84.429);
  --chart-5: oklch(0.769 0.188 70.08);
  --sidebar: oklch(0.985 0 0);
  --sidebar-foreground: oklch(0.145 0 0);
  --sidebar-primary: oklch(0.205 0 0);
  --sidebar-primary-foreground: oklch(0.985 0 0);
  --sidebar-accent: oklch(0.97 0 0);
  --sidebar-accent-foreground: oklch(0.205 0 0);
  --sidebar-border: oklch(0.922 0 0);
  --sidebar-ring: oklch(0.708 0 0);
  --background: oklch(1 0 0);
  --foreground: oklch(0.145 0 0);

    --font-sans: Pretendard;
    --font-pretendard: Pretendard;
    --color-primary: initial;
    --color-secondary: initial;
    --color-grey: initial;
    --color-background: initial;

    --color-primary-50: #D6E7FF;
    --color-primary-300: #70A9FF;
    --color-primary-500: #267DFF;
    --color-primary-600: #0052CC;

    --color-secondary-50: #E2F3F1;
    --color-secondary-300: #9BD4CC;
    --color-secondary-500: #00B59C;
    --color-secondary-600: #00A38D;

    --color-background-50: #F5F9FC;
    --color-background-400: #7493AA;
    --color-background-500: #4E697E;

    --color-grey-50: #F4F5F6;
    --color-grey-100: #E9EBEC;
    --color-grey-200: #C8CCD0;
    --color-grey-300: #868F98;
    --color-grey-400: #717B84;
    --color-grey-500: #233343;
    --color-grey-900: #0B1C2C;

    --color-red: #EB0A0A;

    --breakpoint-*: initial;
    --breakpoint-tablet: 40rem;
    --breakpoint-laptop: 64rem;
    --breakpoint-desktop: 80rem;

    /* Font Sizes */
    --font-size-display-lg: 56px;
    --font-size-display-md: 48px;

    --font-size-headline-xl: 40px;
    --font-size-headline-lg: 36px;
    --font-size-headline-md: 32px;
    --font-size-headline-sm: 24px;

    --font-size-body-xl: 20px;
    --font-size-body-lg: 18px;
    --font-size-body-md: 17px;
    --font-size-body-sm: 16px;

    --font-size-caption-lg: 15px;
    --font-size-caption-md: 14px;
    --font-size-caption-sm: 13px;

    /* Line Heights */
    --line-height-display: 1.6;
    --line-height-headline: 1.5;
    --line-height-body: 1.4;
    --line-height-caption: 1.5;
}

@layer base {
  * {
    @apply border-border outline-ring/50;
  }
  body {
    @apply bg-background text-white;
  }

  .section-title {
    @apply text-center text-[40px] font-bold whitespace-pre-line text-white;
  }
}

@layer utilities {
  .text-display-lg {
    font-size: var(--font-size-display-lg);
    line-height: var(--line-height-display);
    white-space: pre-line;
  }

  .text-display-md {
    font-size: var(--font-size-display-md);
    line-height: var(--line-height-display);
    white-space: pre-line;
  }

  .text-headline-xl {
    font-size: var(--font-size-headline-xl);
    line-height: var(--line-height-headline);
    white-space: pre-line;
  }

  .text-headline-lg {
    font-size: var(--font-size-headline-lg);
    line-height: var(--line-height-headline);
    white-space: pre-line;
  }

  .text-headline-md {
    font-size: var(--font-size-headline-md);
    line-height: var(--line-height-headline);
    white-space: pre-line;
  }

  .text-headline-sm {
    font-size: var(--font-size-headline-sm);
    line-height: var(--line-height-headline);
    white-space: pre-line;
  }

  .text-body-xl {
    font-size: var(--font-size-body-xl);
    line-height: var(--line-height-body);
    white-space: pre-line;
  }

  .text-body-lg {
    font-size: var(--font-size-body-lg);
    line-height: var(--line-height-body);
    white-space: pre-line;
  }

  .text-body-md {
    font-size: var(--font-size-body-md);
    line-height: var(--line-height-body);
    white-space: pre-line;
  }

  .text-body-sm {
    font-size: var(--font-size-body-sm);
    line-height: var(--line-height-body);
    white-space: pre-line;
  }

  .text-caption-lg {
    font-size: var(--font-size-caption-lg);
    line-height: var(--line-height-caption);
    white-space: pre-line;
  }

  .text-caption-md {
    font-size: var(--font-size-caption-md);
    line-height: var(--line-height-caption);
    white-space: pre-line;
  }

  .text-caption-sm {
    font-size: var(--font-size-caption-sm);
    line-height: var(--line-height-caption);
    white-space: pre-line;
  }
}

.dark {
  --background: oklch(0.145 0 0);
  --foreground: oklch(0.985 0 0);
  --card: oklch(0.205 0 0);
  --card-foreground: oklch(0.985 0 0);
  --popover: oklch(0.205 0 0);
  --popover-foreground: oklch(0.985 0 0);
  --primary: oklch(0.922 0 0);
  --primary-foreground: oklch(0.205 0 0);
  --secondary: oklch(0.269 0 0);
  --secondary-foreground: oklch(0.985 0 0);
  --muted: oklch(0.269 0 0);
  --muted-foreground: oklch(0.708 0 0);
  --accent: oklch(0.269 0 0);
  --accent-foreground: oklch(0.985 0 0);
  --destructive: oklch(0.704 0.191 22.216);
  --border: oklch(1 0 0 / 10%);
  --input: oklch(1 0 0 / 15%);
  --ring: oklch(0.556 0 0);
  --chart-1: oklch(0.488 0.243 264.376);
  --chart-2: oklch(0.696 0.17 162.48);
  --chart-3: oklch(0.769 0.188 70.08);
  --chart-4: oklch(0.627 0.265 303.9);
  --chart-5: oklch(0.645 0.246 16.439);
  --sidebar: oklch(0.205 0 0);
  --sidebar-foreground: oklch(0.985 0 0);
  --sidebar-primary: oklch(0.488 0.243 264.376);
  --sidebar-primary-foreground: oklch(0.985 0 0);
  --sidebar-accent: oklch(0.269 0 0);
  --sidebar-accent-foreground: oklch(0.985 0 0);
  --sidebar-border: oklch(1 0 0 / 10%);
  --sidebar-ring: oklch(0.556 0 0);
}
